DESQview API Profile

DESQview, when used with off-the-shelf DOS programs, is a powerful
multitasking operating system.  There is no need to modify programs
for them to run under DESQview.  However, for those interested in
making DOS applications more powerful, DESQview has an Application
Program Interface (API).  This API lets programs control and
interact with DESQview and with other programs running in DESQview.

Using the DESQview API, a program can tap into the powerful
capabilities built into DESQview-multitasking, windowing, intertask
communications, mailboxes, shared programs, memory management,
mousing, data transfer, menu-building and help.

Multitasking

DESQview supports true multitasking of existing DOS programs. 
Programs written specifically for DESQview can create additional
processes or tasks.  For example, a database program could create
two tasks, one which would print data, the other which would allow
data entry.  Therefore, printing could continue in the background
while additional data was being entered.

Presentation Management

The windowing capability of DESQview can be used to display several
programs simultaneously.  It can also be used to display menus,
help screens and error messages.   Panels can be created which
process user input, including mousing and data entry.  This
simplifies the job of programming and gives a consistency to the
user interface.

Intertask Communication and Data Transfer

The DESQview API provides a wide range of facilities for data
transfer between off-the-shelf applications and intertask
communication between DESQview specific applications.  "Hot-links"
can be setup so that data changed in one application is
automatically updated in linked applications.

Customization

Although DESQview is known for its easy-to-use interface and
ability to run off-the-shelf software, the API can be used to
disable, modify or enhance the DESQview user interface.  This is
useful for the MIS department or VAR seeking a powerful and
customized user interface.

Portability

DESQview with its API runs on the entire installed base of IBM
PC's, PS/2's and compatibles with the 8088, 8086, 80286, 80386,
80386SX and i486 processors.  The market for DESQview specific
applications extends to the entire base of existing and future
PC's.

Programming Languages

DESQview API libraries are available for Assembly, Basic, C,
Clipper, Dbase, and Pascal.  A Panel Designer and Debugger are also
available.  Single and Multiple Partition DESQview runtimes can be
purchased from Quarterdeck.

 
